# Fn<> IsSimple
Tests type to be simple.

Defined in | <seqan/basic.h>
Signature | `IsSimple<T>::Type;`

## Template Parameters

`T` | Type that is tested.

## Return Values

`Type` | Either True or False, depending on T being a "POD" type.

## Detailed Description

A simple type is a type that does not need constructors to be created, a destructor to be destroyed, and copy assignment operators or copy constructors to be copied. All POD ("plain old data") types are simple, but some non-POD types could be simple too, e.g. some specializations of SimpleType.

## See Also

- SimpleType

#### Dox Sources

    /*!
     * @mfn IsSimple
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Tests type to be simple.
     *
     * @signature IsSimple<T>::Type;
     *
     * @tparam T Type that is tested.
     *
     * @return Type Either True or False, depending on T being a "POD" type.
     *
     * A simple type is a type that does not need constructors to be created, a
     * destructor to be destroyed, and copy assignment operators or copy
     * constructors to be copied. All POD ("plain old data") types are simple, but
     * some non-POD types could be simple too, e.g. some specializations of
     * SimpleType.
     *
     * @see SimpleType
     */